## kopete-cryptography 1.3.0

=== doc-translations/CMakeLists.txt ===
add_subdirectory( es_kopete-cryptography/kopete-cryptography )
add_subdirectory( fr_kopete-cryptography/kopete-cryptography )
add_subdirectory( it_kopete-cryptography/kopete-cryptography )
add_subdirectory( pt_kopete-cryptography/kopete-cryptography )
add_subdirectory( pt_BR_kopete-cryptography/kopete-cryptography )
add_subdirectory( sv_kopete-cryptography/kopete-cryptography )
add_subdirectory( uk_kopete-cryptography/kopete-cryptography )

=== doc/CMakeLists.txt ===
#
#
#
#
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR kopete/plugins/cryptography)

## kopete-cryptography 1.3.0-kde4.4.0

=== debian/changelog ===
kopete-cryptography (1.3.0-kde4.4.0-0ubuntu5) quantal; urgency=low

  * Remove boost dependency, as not needed.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 24 Aug 2012 18:16:44 +0100

kopete-cryptography (1.3.0-kde4.4.0-0ubuntu4) oneiric; urgency=low

  * Update debian/watch for adjusted ftp.kde.org directory structure
  * Rebuild against boost 1.46 and KDE 4.7

 -- Scott Kitterman <scott@kitterman.com>  Fri, 05 Aug 2011 19:17:47 -0400

kopete-cryptography (1.3.0-kde4.4.0-0ubuntu3) maverick; urgency=low

  * Build against boost 1.42 and explicitly buid-depend on cmake
    again to fix FTBFS (LP: #627875)

 -- Bhavani Shankar <bhavi@ubuntu.com>  Mon, 06 Sep 2010 00:57:11 +0200

kopete-cryptography (1.3.0-kde4.4.0-0ubuntu2) lucid; urgency=low

  * No change rebuild against the current libkleo4 for installability

 -- Scott Kitterman <scott@kitterman.com>  Wed, 21 Apr 2010 01:17:18 -0400

kopete-cryptography (1.3.0-kde4.4.0-0ubuntu1) lucid; urgency=low

  * New upstream release
    - Bump build-depends and Standards-Version
    - Bump compat to 7
    - Drop cdbs, quilt and cmake from build-depends
    - Source format 3.0
    - Build against boost 1.40
    - Build with dh --with kde and add pkg-kde-tools to build-depends
    - Drop KUBUNTU_DESKTOP_POT rules since is not in Main
    - Add ${misc:Depends} to depends
    - (LP: #350278)

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sat, 13 Feb 2010 00:57:17 +0100

kopete-cryptography (1.3.0-kde4.3.0-0ubuntu2) karmic; urgency=low

  * No change rebuild to build against the release version of libkleo4
    - Makes the package installable again

 -- Scott Kitterman <scott@kitterman.com>  Tue, 20 Oct 2009 00:40:05 -0400

kopete-cryptography (1.3.0-kde4.3.0-0ubuntu1~ppa1) karmic; urgency=low

  * New upstream release
  * Bump version of kdepim-dev build-dep to 4.3.0 
  * Change kdenetwork-dev build-dep to libkopete-dev, bump version to 4.3.0
  * Change libboost1.35-dev build-dep to libboost1.38-dev

 -- Christian Mangold <neversfelde@ubuntu.com>  Fri, 31 Jul 2009 20:13:29 +0200

kopete-cryptography (1.3.0-kde4.2.0-0ubuntu4) jaunty; urgency=low

  * Add KUBUNTU_DESKTOP_POT

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 08 Apr 2009 15:23:11 +0100

kopete-cryptography (1.3.0-kde4.2.0-0ubuntu3) jaunty; urgency=low

  * Rebuild against KDE 4.2.2

 -- Scott Kitterman <scott@kitterman.com>  Fri, 03 Apr 2009 09:58:03 -0400

kopete-cryptography (1.3.0-kde4.2.0-0ubuntu2) jaunty; urgency=low

  * Change build-dep on libboost-dev to libboost1.35-dev for boost transition

 -- Scott Kitterman <scott@kitterman.com>  Thu, 05 Feb 2009 21:37:19 -0500

kopete-cryptography (1.3.0-kde4.2.0-0ubuntu1) jaunty; urgency=low

  * New upstream release

 -- Steve Stalcup <vorian@ubuntu.com>  Tue, 27 Jan 2009 23:02:04 -0500

kopete-cryptography (1.3.0-kde4.1.3-0ubuntu1) jaunty; urgency=low

  * New upstream release
  * Recommend gnupg-agent (LP: #298712)

 -- Nathan Handler <nhandler@ubuntu.com>  Mon, 22 Dec 2008 13:52:06 -0600

kopete-cryptography (1.3.0-kde4.1.2-0ubuntu1) intrepid; urgency=low

  * New upstream release

 -- Steve Stalcup <vorian@ubuntu.com>  Sun, 28 Sep 2008 16:50:28 -0400

kopete-cryptography (1.3.0-kde4.1.1-0ubuntu1) intrepid; urgency=low

  * Initial release (LP: #176471)
  * FFe request (LP: #269600)

 -- Terence Simpson <tsimpson@ubuntu.com>  Thu, 11 Sep 2008 02:00:44 +0100

=== debian/control ===
Source: kopete-cryptography
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Terence Simpson <stdin@stdin.me.uk>
Build-Depends: debhelper (>= 7.4.13), pkg-kde-tools (>= 0.6.4),
 libkopete-dev (>= 4:4.4.1), kdepim-dev (>= 4:4.4.1), libgpgme11-dev,
 cmake
Standards-Version: 3.8.4
Homepage: http://kopete.kde.org/

Package: kopete-cryptography
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: gnupg-agent
Description: OpenPGP plugin for Kopete
 This package lets you use an OpenPGP implementation to encrypt and sign
 messages in conversations.
 Note that this is not the same as an SSL secured chat session.
 .
 This plugin can encrypt your messages to a single individual so that only
 the holder of the matching key can read it. If you wish that the
 recipient of your messages can verify that you have sent your messages,
 you may sign messages. Signing and encryption can be used separately
 or together.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --with kde $@

DEB_PHONY_RULES := get-orig-source
# Path to the debian directory
DEBIAN_DIR := $(shell echo ${MAKEFILE_LIST} | awk '{print $$1}' | xargs dirname )

get-orig-source:
	cd ${DEBIAN_DIR}/.. && \
	version=$$(uscan --force-download --dehs | \
	    sed -n 's/.*<upstream-version>\(.*\)<\/upstream-version>.*/\1/p') && \
	bzcat ../$(DEB_SOURCE_PACKAGE)-$${version}.tar.bz2 | gzip -9fn -c - > \
	${CURDIR}/../${DEB_SOURCE_PACKAGE}_$${version}.orig.tar.gz && \
	rm ../$(DEB_SOURCE_PACKAGE)-$${version}.tar.bz2

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/extragear/kopete-cryptography-([\d\.]+-kde[\d\.]+)\.tar\.bz2
